Page MenuHomePhabricator

Request: Avoid floating values in Wikispeech-server response
Closed, ResolvedPublic

Description

Due to JSON serialization problems with floating values in PHP, would it be possible to use integer milliseconds (micro, nano or what not) rather than floating point seconds when defining timing in the Wikispeech-server response?

PHP related "bug" can be seen here:
https://bugs.php.net/bug.php?id=75800

Event Timeline

kalle renamed this task from Request: Avoid floating values in Speechoid-server response to Request: Avoid floating values in Wikispeech-server response.Aug 12 2020, 9:24 PM
kalle created this task.
Lokal_Profil added a subscriber: Lokal_Profil.

Removing WMSE from this. We'll have a subtask for implementing after STTS updates Speechoid

Output json now contains timing in milliseconds instead of seconds

kalle moved this task from 🥴 Backlog to 🤯 Done on the User-kalle board.Sep 15 2020, 12:41 PM
HaraldBerthelsen closed this task as Resolved.Sep 17 2020, 11:20 AM